using System;
using GHIElectronics.NETMF.FEZ;
using GHIElectronics.NETMF.Hardware;

namespace ORG.MUJIRUSHI.NETMF
{
    public class HIH5031 : IDisposable
    {
        AnalogIn analogIn;

        public HIH5031(FEZ_Pin.AnalogIn pin)
        {
            analogIn = new AnalogIn((AnalogIn.Pin)pin);
        }

        public void Dispose()
        {
            analogIn.Dispose();
            GC.SuppressFinalize(this);
        }

        public double GetHumidity()
        {
            double humidity;
            humidity = (analogIn.Read() / 1024.0 - 0.1515) / 0.00636;
            return humidity;
        }

        public double GetHumidity(double temperature)
        {
            double humidity;
            humidity = (analogIn.Read() / 1024.0 - 0.1515) / 0.00636;
            humidity = humidity / (1.0546 - 0.00216 * temperature);
            return humidity;
        }
    }
}